Bug 812417 - System Properties for registered system lists "Arch" as blank
Summary: System Properties for registered system lists "Arch" as blank
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Og Maciel
URL:
Whiteboard:
Depends On:
Blocks: 817658 828311
TreeView+ depends on / blocked
 
Reported: 2012-04-13 16:35 UTC by James Laska
Modified: 2019-09-26 15:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the System Details page, the System property "Arch" was not populated when an i386/i686 system was registered. System Engine failed to display the architecture correctly. This fix adds i386/i686 to the defined architectures. All x86-compatible architectures now show up on the System Details page.
Clone Of:
: 817658 828311 (view as bug list)
Environment:
Last Closed: 2012-12-04 19:44:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot.png (106.32 KB, image/png)
2012-04-13 16:35 UTC, James Laska
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1543 0 normal SHIPPED_LIVE Important: CloudForms System Engine 1.1 update 2012-12-05 00:39:57 UTC

Description James Laska 2012-04-13 16:35:53 UTC
Created attachment 577377 [details]
Screenshot.png

Description of problem:

See attached screenshot.  The system property "Arch" is empty for all RHEL5 i386 registered+subscribed systems.  All RHEL5 x86_64 show the expected value of "x86_64".  I have not confirmed whether RHEL6 i386 systems have a valid Arch property yet.

Version-Release number of selected component (if applicable):
 * katello-0.1.309-1.el6.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.0.4-1.el6.src.rpm
 * katello-cli-0.1.107-1.el6.src.rpm
 * katello-configure-0.1.107-1.el6.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-0.1.10-1.el6.src.rpm
 * pulp-1.0.4-1.el6.src.rpm


How reproducible:


Steps to Reproduce:
1. Register a RHEL5 i386 client to a System Engine
2. Navigate to the Systems list in the System Engine web-ui
3. Select the newly registered system and observe system properties
  
Actual results:

 * The system architecture is empty

Expected results:

 * The system architecture should not be empty

Additional info:

 * See attached screenshot

 * The subscription-manager client shows uname.machine as i386

> # subscription-manager facts --list | grep -i i.86
> uname.machine: i686

Comment 1 James Laska 2012-04-13 17:25:44 UTC
Update
 - This affects *all* RHEL i386 registered systems, RHEL5 and RHEL6.

Comment 2 James Laska 2012-04-18 12:23:55 UTC
Anyone know how severe it is that registered i386 systems do not properly display their architecture in the system summary on Katello?

Is this just a minor UI issue, or is the lack of architecture data more fundamental.

== Additional data ==

 * I'm able to successfully find x86_64 systems by searching for 'system.machine:x86_64'.
 * I'm able to successfully find i386 systems by searching for 'system.machine:i686'

I have no idea if this is good/bad?  If this is just a UI quirk, this feels safe to move to 1.1.0.  Please advise.

Comment 3 Tom McKay 2012-04-18 12:30:06 UTC
The info displayed comes from the system fact uname.machine passed through
{ 'i386' => 'x86', 'ia64' => 'Itanium', 'x86_64' => 'x86_64', 'ppc' => 'PowerPC',
      's390' => 'IBM S/390', 's390x' => 'IBM System z', 'sparc64' => 'SPARC Solaris' }

This is only a display issue, though it clearly is an issue in this case.

Comment 4 James Laska 2012-04-18 12:34:09 UTC
Thanks Tom, proposing for cloudforms-1.1.0 and 1.0.z.  This is not critical for the 1.0 release.

Comment 5 Tom McKay 2012-04-30 19:42:21 UTC
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: ce272e099d3bcd55eddde882c64118db3cdd52ad
      https://github.com/Katello/katello/commit/ce272e099d3bcd55eddde882c64118db3cdd52ad
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-04-30 (Mon, 30 Apr 2012)

Comment 9 Og Maciel 2012-09-18 17:40:11 UTC
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

Comment 11 errata-xmlrpc 2012-12-04 19:44:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html


Note You need to log in before you can comment on or make changes to this bug.